Canvas5StyleManagerInternal::Stroke Struct Reference

Internal: the stroke style of a Canvas5StyleManager. More...

## Public Member Functions

| Stroke ()
| constructor

## Public Attributes

unsigned | m_type
| the type
int | m_penId
| the pen id
int | m_dashId
| the dash id
int | m_arrowId [2]
| the arrow id (beg/end)

## Friends

std::ostream & | operator<< (std::ostream &o, Stroke const &stroke)

## Detailed Description

Internal: the stroke style of a Canvas5StyleManager.

## Constructor & Destructor Documentation

## Stroke()

Canvas5StyleManagerInternal::Stroke::Stroke | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Stroke const & | stroke )

friend

## Member Data Documentation

## m_arrowId

int Canvas5StyleManagerInternal::Stroke::m_arrowId[2]

the arrow id (beg/end)

Referenced by operator<<, and Stroke().

## m_dashId

int Canvas5StyleManagerInternal::Stroke::m_dashId

the dash id

Referenced by operator<<, and Stroke().

## m_penId

int Canvas5StyleManagerInternal::Stroke::m_penId

the pen id

Referenced by operator<<, and Stroke().

## m_type

unsigned Canvas5StyleManagerInternal::Stroke::m_type

the type

Referenced by operator<<, Canvas5StyleManager::readFrameStyles9(), and Stroke().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx